Package com.macrofocus.common.interval

# Interface BoundedInterval

All Superinterfaces:
  `Interval`

All Known Subinterfaces:
  `MutableBoundedInterval`

All Known Implementing Classes:
  `AbstractBoundedInterval`, `SimpleBoundedInterval`, `TransformBoundedInterval`

public interface BoundedInterval extends Interval
Defines the requirements for an interval that is bounded between two values.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addBoundedIntervalListener(BoundedIntervalListener listener)`
  `void`
  `addWeakBoundedIntervalListener(BoundedIntervalListener listener)`
  `double`
  `getMaximum()`
  `double`
  `getMaximumExtent()`
  `double`
  `getMinimum()`
  `double`
  `getMinimumExtent()`
  `boolean`
  `isFullRange()`
  `boolean`
  `isInvertedScale()`
  `void`
  `removeBoundedIntervalListener(BoundedIntervalListener listener)`
  `void`
  `removeBoundedIntervalListeners()`

  ### Methods inherited from interface com.macrofocus.common.interval.Interval

  `addIntervalListener, addWeakIntervalListener, contains, containsInterval, containsStartEnd, getEnd, getEndProperty, getExtent, getStart, getStartProperty, isDegenerate, isInverted, overlaps, overlapsInterval, removeIntervalListener, removeIntervalListeners`

- ## Method Details

  - ### getMinimum

    double getMinimum()

  - ### getMaximum

    double getMaximum()

  - ### getMinimumExtent

    double getMinimumExtent()

  - ### getMaximumExtent

    double getMaximumExtent()

  - ### isFullRange

    boolean isFullRange()

  - ### addBoundedIntervalListener

    void addBoundedIntervalListener(BoundedIntervalListener listener)

  - ### addWeakBoundedIntervalListener

    void addWeakBoundedIntervalListener(BoundedIntervalListener listener)

  - ### removeBoundedIntervalListener

    void removeBoundedIntervalListener(BoundedIntervalListener listener)

  - ### removeBoundedIntervalListeners

    void removeBoundedIntervalListeners()

  - ### isInvertedScale

    boolean isInvertedScale()